# Class CIM_DatabaseResourceStatistics
extends CIM_StatisticalData

The CIM_DatabaseServiceStatistics class contains the current statistics for a database resource. This class maps to the database and server-limited resource tables in the SNMP RDBMS MIB as defined in RFC 1697.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_DatabaseResourceStatistics

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The CIM_DatabaseServiceStatistics class contains the current statistics for a database resource. This class maps to the database and server-limited resource tables in the SNMP RDBMS MIB as defined in RFC 1697.
UMLPackagePath | string | CIM::Database::Statistics
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Current | uint64 |
Counter | boolean | true
Description | string | The current value of a limited database resource.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsDbLimitedResourceCurrent
Failures | uint32 |
Counter | boolean | true
Description | string | The number of times that the system wanted to exceed the database resource limit that is measured from the time when the first service was started for the database.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsDbLimitedResourceFailures
Highwater | uint64 |
Counter | boolean | true
Description | string | The number of database resources used, as measured from the time when the first service was started for the database. Other external factors, such as an explicit reset of the statistics might cause this measurement to begin at a later point in time.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsDbLimitedResourceHighwater
Limit | uint64 |
Description | string | The maximum value that the database resource can attain.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsDbLimitedResourceLimit

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ResetSelectedStats | uint32 | CIM_StatisticalData